{
  "name": "@eternalfest-games/eternel-recommencement",
  "version": "1.0.0",
  "homepage": "https://gitlab.com/eternalfest/games/eternel-recommencement",
  "description": "Project for the game `eternel-recommencement`",
  "repository": {
    "type": "git",
    "url": "git://gitlab.com:eternalfest/games/eternel-recommencement.git"
  },
  "scripts": {
    "build": "yarn run build:patchman && yarn run build:content && yarn run build:assets && yarn run build:engine",
    "build:assets": "swfmill simple assets.xml ./build/assets.swf",
    "build:content": "eternalfest build",
    "build:engine": "ts-node tools/build-game.ts",
    "build:patchman": "patchman",
    "doc": "patchman --doc",
    "idea": "patchman --idea",
    "prepare": "yarn run build",
    "simple": "yarn run build:patchman",
    "start": "eternalfest start"
  },
  "publishConfig": {
    "access": "restricted",
    "registry": "https://npm.eternalfest.net/"
  },
  "pre-commit": {
    "run": [
      "build"
    ]
  },
  "keywords": [
    "game"
  ],
  "license": "UNLICENSED",
  "patchman": {
    "haxe": "src/haxe",
    "haxeMain": "Main",
    "outFile": "./build/patchman.swf",
    "outDocDir": "./build/docs"
  },
  "engines": {
    "node": ">=14.0.0"
  },
  "dependencies": {
    "@eternalfest/eternaldev": "^0.5.0-beta.7",
    "@patchman/atlas": "^0.2.0",
    "@patchman/better_script": "^4.4.0",
    "@patchman/bugfix": "^0.10.0",
    "@patchman/debug": "^0.10.0",
    "@patchman/game_params": "^0.11.1",
    "@patchman/keyboard": "^0.10.0",
    "@patchman/merlin": "^0.16.0",
    "@patchman/patchman": "^0.10.11",
    "swf-emitter": "^0.11.1",
    "swf-merge": "^0.11.0",
    "swf-parser": "^0.11.0",
    "swf-types": "^0.11.0",
    "ts-node": "^10.9.1",
    "typescript": "^4.9.4"
  }
}
